module Lita
  module Handlers
    class Vaxcalc < Handler
      # insert handler code here

      route(
        /^contains\s+(\D+)$/i, :respond_with_double,
        command: true,
        help: { 'contains [ingredient]' => 'prints vaccine list' }
      )

      route(
        /^exemptions\s+(\D+)$/i, :respond_with_exemptions,
        command: true,
        help: { 'exemptions [VA] or [Virginia]' => 'responds with vaccine exemption info for your state' }
      )

      def double_number(n)
        n + n
      end

      def respond_with_double(response)
        # Read up on the Ruby MatchData class for more options
        n = response.match_data.captures.first
        response.reply "#{n}"
      end

      def respond_with_exemptions(response)
        response.reply "Medical and religious"
      end

      Lita.register_handler(self)
    end
  end
end
